rosegarden (1:24.06-1) unstable; urgency=medium

  * New upstream version 24.06
  * Bump Standards-Version to 4.7.0
  * pkg-config -> pkgconf
  * Build with Qt6

 -- Dennis Braun <snd@debian.org>  Sat, 15 Jun 2024 21:18:59 +0200

rosegarden (1:23.12-1) unstable; urgency=medium

  * Team upload

  [ Shriram Ravindranathan ]
  * New upstream version 23.12
  * Fix watchfile (new upstream releases use xz instead of bz2)
  * d/rosegarden.lintian-overrides: Remove unused overrides
  * d/copyright: update maintainer copyright to 2024
  * d/gbp.conf: change compression from bzip2 to xz

 -- Dennis Braun <snd@debian.org>  Tue, 12 Mar 2024 19:43:35 +0100

rosegarden (1:22.12.1-2) unstable; urgency=medium

  * Team upload
  * Move from liblircclient-dev to liblirc-dev (Closes: #1059978)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Jan 2024 12:49:19 +0100

rosegarden (1:22.12.1-1) unstable; urgency=medium

  * New upstream version 22.12.1
  * Bump Standards-Version to 4.6.2

 -- Dennis Braun <snd@debian.org>  Sun, 25 Dec 2022 17:59:26 +0100

rosegarden (1:22.12-1) unstable; urgency=medium

  * New upstream version 22.12
  * Update d/rosegarden.docs
  * Update d/rosegarden.lintian-overrides

 -- Dennis Braun <snd@debian.org>  Sun, 11 Dec 2022 22:40:25 +0100

rosegarden (1:22.06-2) unstable; urgency=high

  * Update my email address
  * Fix FTBFS with fftw3. Thanks to Bas Couwenberg (Closes: #1025316)
  * Prefer libjack-dev over libjack-jackd2-dev
  * Update rosegarden.lintian-overrides

 -- Dennis Braun <snd@debian.org>  Fri, 02 Dec 2022 23:35:02 +0100

rosegarden (1:22.06-1) unstable; urgency=medium

  * New upstream version 22.06
  * Refresh spelling error patch
  * Use libjack-jackd2-dev as preferable B-D and libjack-dev as optional
  * Bump Standards Version to 4.6.1
  * d/copyright: Bump year and add myself to the d/ section
  * Update lintian-overrides

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 12 Jun 2022 12:56:10 +0200

rosegarden (1:21.12-1) unstable; urgency=medium

  * New upstream version 21.12
  * Update lintian-overrides
  * Add salsa ci config

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 03 Feb 2022 22:37:05 +0100

rosegarden (1:21.06.1-1) unstable; urgency=medium

  * New upstream version 21.06.1
  * Bump Standards-Version to 4.6.0, no changes needed
  * Add lintian-overrides
  * Fix spelling error in TranzportClient

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 20 Oct 2021 09:23:21 +1100

rosegarden (1:21.06-1) experimental; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Mon, 28 Jun 2021 17:28:56 +1000

rosegarden (1:20.12-1) unstable; urgency=medium

  * New upstream version 20.12
  * Drop QPainterPath_compilation patch, applied by upstream
  * Drop src/gui/configuration/ConfigurationPage.h from d/copyright
  * Bump d/watch version to 4

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 13 Dec 2020 18:01:42 +0100

rosegarden (1:20.06-2) unstable; urgency=medium

  * Fix QPainterPath compilation error (Closes: #975143)
  * Bump S-V to 4.5.1

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 19 Nov 2020 13:52:05 +0100

rosegarden (1:20.06-1) unstable; urgency=medium

  * New upstream version 20.06
  * Update dh-compat to 13
  * Bump S-V to 4.5.0
  * Add me as uploader
  * Add d/upstream/metadata
  * d/copyright: Remove unused test/base/colour.cpp entry
  * d/copyright: Bump copyright year
  * Update d/watch file

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 03 Jul 2020 20:21:21 +0200

rosegarden (1:19.12-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Tue, 17 Dec 2019 23:46:29 +1100

rosegarden (1:19.06-1) unstable; urgency=medium

  * New upstream release.
  * Update to debhelper compat 12.
  * Declare Rules-Requires-Root: no.

 -- Stuart Prescott <stuart@debian.org>  Sat, 29 Jun 2019 19:21:56 +1000

rosegarden (1:18.12-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.3.0 (no changes required).
  * Prevent build-time tests being run for the time being, since they require
    rosegarden to be built as library and don't currently pass anyway.

 -- Stuart Prescott <stuart@debian.org>  Fri, 28 Dec 2018 17:35:27 +1100

rosegarden (1:18.06-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Tue, 19 Jun 2018 18:01:47 +1000

rosegarden (1:17.12.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Tue, 20 Feb 2018 20:52:41 +1100

rosegarden (1:17.12-1) unstable; urgency=medium

  * New upstream release.
   - drop all patches; merged upstream.
  * Update Standards-Version to 4.1.3 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sat, 30 Dec 2017 01:04:26 +1100

rosegarden (1:17.04-2) unstable; urgency=medium

  * Add build-dep on qttools5-devl to fix FTBFS (Closes: #881083).
  * Update Standards-Version to 4.1.1 (no changes required).
  * Update to debhelper compat 10.
  * Update location and format of appstream metadata.
  * Update desktop file.

 -- Stuart Prescott <stuart@debian.org>  Sat, 11 Nov 2017 17:24:07 +1100

rosegarden (1:17.04-1) unstable; urgency=medium

  * New upstream release.
  * Switch to Qt5 build.
  * Bump standards-version to 4.1.0 (no changes required).
  * Fix generation of 'src/svnversion.h' to prevent FTBFS with CMake 3.9
    (Closes: #871213).

 -- Stuart Prescott <stuart@debian.org>  Mon, 28 Aug 2017 00:36:33 +1000

rosegarden (1:16.06-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Sat, 23 Jul 2016 16:42:51 +1000

rosegarden (1:16.02-2) unstable; urgency=medium

  [ Stuart Prescott ]
  * Cherry pick upstream patch to fix compilation with GCC 6 (Closes: #831099).

  [ IOhannes m zmölnig ]
  * Update mimetypes in package, with thanks to Petter Reinholdtsen
    (Closes: #825993).

 -- Stuart Prescott <stuart@debian.org>  Fri, 15 Jul 2016 18:59:48 +1000

rosegarden (1:16.02-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 3.9.8 (no changes required).
  * Update Vcs-* fields.
  * Enable additional hardening options for build.

 -- Stuart Prescott <stuart@debian.org>  Sun, 22 May 2016 00:12:42 +1000

rosegarden (1:15.12.1-1) unstable; urgency=medium

  * New upstream release.
    - update packaging to new cmake build system
  * Drop manual dbg package in favour of automatic dbgsym package.
  * Drop menu file.

 -- Stuart Prescott <stuart@debian.org>  Wed, 06 Jan 2016 15:49:45 +1100

rosegarden (1:15.10.2-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Tue, 10 Nov 2015 00:36:22 +1100

rosegarden (1:15.10.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Tue, 03 Nov 2015 23:56:12 +1100

rosegarden (1:14.12-1) unstable; urgency=medium

  * New upstream release.
    - Fixes german translation of fifths (Closes: #640673).
  * Bump standards version (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Tue, 28 Apr 2015 00:30:34 +1000

rosegarden (1:14.02-2) unstable; urgency=medium

  * Add libz-dev to build-dependencies (Closes: #747770)

 -- Stuart Prescott <stuart@debian.org>  Mon, 12 May 2014 23:51:02 +1000

rosegarden (1:14.02-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Sun, 09 Mar 2014 23:13:00 +1100

rosegarden (1:13.10-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version (no changes required).
  * Change to debhelper compat level 9 to enable hardening.

 -- Stuart Prescott <stuart@debian.org>  Tue, 04 Mar 2014 00:28:55 +1100

rosegarden (1:13.06-1) unstable; urgency=low

  * Team upload.
  * New upstream bugfix release.
  * Remove myself from the Uploaders field.

 -- Alessio Treglia <alessio@debian.org>  Thu, 29 Aug 2013 16:06:51 +0100

rosegarden (1:13.04-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.
  * Fix VCS URLs.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 09 Jul 2013 01:13:06 +0100

rosegarden (1:12.12.25-1) experimental; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Thu, 27 Dec 2012 19:36:07 +0000

rosegarden (1:12.04-1) unstable; urgency=low

  * New upstream release:
    - Fix build failure with GCC 4.7 (Closes: #667359)
    - Add German translation of rosegarden.desktop's Comment field.
      Thanks to Ronny Standtke for the patch. (Closes: #667622)
  * Build with Qt4's multiarchified new release (Closes: #655098)
  * Recommend wavpack. (Closes: #663450)
  * Add awesfx on Suggests. (LP: #776077)
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sun, 13 May 2012 23:49:40 +0200

rosegarden (1:11.11.42-1) unstable; urgency=low

  * New upstream release.
  * debian/*: Wrap and sort.

 -- Alessio Treglia <alessio@debian.org>  Sat, 24 Dec 2011 10:17:06 +0100

rosegarden (1:11.11.11-1) unstable; urgency=low

  * New upstream release.
  * Add GenericEntries to the desktop file (Closes: #640991)

 -- Alessio Treglia <alessio@debian.org>  Mon, 05 Dec 2011 00:39:23 +0100

rosegarden (1:11.06-1) unstable; urgency=low

  * New upstream release:
    - Bugfixes:
      + A commonly-used time entry widget has been worked over to improve
        its functionality, and solve some usability problems.
      + Fixed undo after copying/pasting a range
      + When adding marks to a selection that includes a mixture of notes
        and rests, avoid applying meaningless marks to the rests
      + Insert Range now preserves the loop/range
      + Fixed a nasty LilyPond export bug that was causing problems with
        human performances where the notes had a physical start time that
        significantly preceded the bar line
    - New features:
      + Expose the instrument alias to external plugin GUIs so that plugins
        are easier to identify in applications like FLAM
      + Export LilyPond code using any of LilyPond's supported languages

 -- Alessio Treglia <alessio@debian.org>  Tue, 24 May 2011 00:57:37 +0200

rosegarden (1:11.02-2) unstable; urgency=low

  * Add -DBG package.
  * debian/rules:
    - Tune dh_strip to move the debugging symbols into rosegarden-dbg.
    - Also remove PHONY line, no longer needed.
    - Enable parallel builds.
    - Pass --enable-debug to the configure script.
  * Strip incorrect MIME types out of the desktop file (Closes: #592143).
    - Rosegarden is proposed as application to handle ogg,mp3,flac and wav
      files but it's not able to open them as expected.
  * Remove lintian-overrides, it is not needed anymore:
    - Add XPM icon.
    - Fix menu file.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 11 May 2011 12:30:35 +0200

rosegarden (1:11.02-1) unstable; urgency=low

  * New upstream bugfix release "Claire de Lune":
    - Track numbers are no longer cut off.
    - The notation and matrix editors now treat a series of tied
      notes as though it were a single unit, which fixes several
      problems that have been outstanding since as far back as 2002.
    - Resizing a segment via click and drag near the edge or with
      the resize tool now leaves that segment as the selected
      segment.
    - When attempting to select a note by clicking toward the
      extreme edges of the note head, it is less likely that you
      will move the note instead of merely selecting it.
    - Insertion / Playback pointer correctly advances in Notation
      editor when entered notes are split and tied.
    - Progress dialogs tweaked to fine tune their behavior
    - Alt+PgUp and Alt+PgDown now highlight the events in a
      segment in Notation view consistently
    - New features:
      + The matrix editor represents tied notes with a different
        fill pattern.
      + The split-and-tie long notes option has been made the
        factory default once more, in light of the vastly improved
        handling of ties in the matrix and notation editors.

 -- Alessio Treglia <alessio@debian.org>  Sun, 27 Feb 2011 10:13:10 +0100

rosegarden (1:10.10-2) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Sat, 12 Feb 2011 13:49:40 +0100

rosegarden (1:10.10-1) experimental; urgency=low

  [ Alessio Treglia ]
  * New upstream release (Closes: #602369).
  * Add git-buildpackage config file.
  * Refresh patches.
  * debian/control:
    - Set priority to optional.
    - Wrap long lines.
    - Don't Replace/Provide/Conflict on rosegarden{2,4} as they are no
      longer available in the archive.
    - Bump Standards.
  * debian/rules:
    - Don't touch autom4te.cache directory, it's provided by upstream.

 -- Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>  Tue, 23 Nov 2010 17:17:02 +0100

rosegarden (1:10.04.2-1) unstable; urgency=low

  [ Stuart Prescott ]
  * New upstream version 10.04 (Closes: #573802, #565071, #567797)
    - rosegardensequencer no longer exists (Closes: #510661, #492871, #490673)
  * Change build system to dh7 and 3.0 (quilt)
  * Drop all existing Debian patches (no longer required)
  * Update packaging for new upstream version
  * Update manpage for new upstream version
  * Patch clean target of Makefile to clean all autogenerated files
  * Explicitly link against libz, libdl and libX11 (Closes: #556326)
  * Switch maintainer to pkg-multimedia
  * Add myself as an uploader
  * Bump standards-version to 3.8.4 (no changes required)

  [ Mike O'Connor ]
  * remove myself from uploaders

 -- Mike O'Connor <stew@debian.org>  Wed, 12 May 2010 21:02:42 -0400

rosegarden (1:1.7.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: Move to liblo-dev instead of versioned liblo0-dev
    build-dep. (Closes: #530852)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Tue, 09 Mar 2010 13:36:08 +0100

rosegarden (1:1.7.3-1) unstable; urgency=low

  * New Upstream Version

 -- Mike O'Connor <stew@debian.org>  Tue, 24 Feb 2009 07:53:26 -0500

rosegarden (1:1.7.2-2) unstable; urgency=low

  * fix debian/rules so build-arch doesn't build arch-indep package and
    vice-versa
  * change permissions in debian/rules from 664 to 644 (thanks: Stuart
    Prescott)
  * change x-www-browser to sensible-browser (thanks: Stuart Prescott)
  * Add extra includes required by gcc 4.4 (thanks: Martin Michlmayr)
    (Closes: #504893)
  * switch watchfile to use new sf.net redirector

 -- Mike O'Connor <stew@debian.org>  Thu, 15 Jan 2009 16:33:03 -0500

rosegarden (1:1.7.2-1) unstable; urgency=low

  * New upstream release
  * update Standards-Version to 3.8.0 (no changes required)

 -- Mike O'Connor <stew@debian.org>  Wed, 31 Dec 2008 11:52:51 -0500

rosegarden (1:1.7.1-1) unstable; urgency=low

  * New upstream release
  * Moved khelpcenter from Depends to Recommends (Closes: #493450)
  * Added x-terminal-emulator as alternative dependency to xterm (Closes: #493913)

 -- Free Ekanayaka <freee@debian.org>  Sat, 30 Aug 2008 07:37:05 +0100

rosegarden (1:1.7.0-1) unstable; urgency=low

  * New upstream release
  * removed dpatch for gcc++4.3

 -- Mike O'Connor <stew@debian.org>  Thu, 01 May 2008 11:43:11 -0400

rosegarden (1:1.6.1-3) unstable; urgency=low

  * added new dpatch which fixes problems compiling with g++4.3

 -- Mike O'Connor <stew@vireo.org>  Wed, 02 Apr 2008 12:02:17 -0400

rosegarden (1:1.6.1-2) unstable; urgency=low

  * moving lilypond from Depends: to Recommends: (Closes: #471960)

 -- Mike O'Connor <stew@vireo.org>  Sat, 22 Mar 2008 09:14:25 -0400

rosegarden (1:1.6.1-1) unstable; urgency=low

  * New upstream release (Closes: 457007)
  * name change of 16x16 icon (Thanks tomv)
  * changing section from extra to optional to match override
  * Newer standards version: 3.7.3
  * getting rid of scons cruft in debian/rules

 -- Mike O'Connor <stew@vireo.org>  Fri, 21 Dec 2007 08:15:32 -0500

rosegarden (1:1.6.0-1) unstable; urgency=low

  * New upstream version (Closes: #454824)
  * Removed transitional rosegarden2, rosegarden4 packages
  * Added dependency on flac (Closes: #438164)
  * Fixed typos in README.Debian (Closes: 455250)
     - Thanks Paul Menzel
  * Moved menu item from Apps to Applications

 -- Mike O'Connor <stew@vireo.org>  Sun, 09 Dec 2007 15:22:35 -0500

rosegarden (1:1.5.1-3) unstable; urgency=low

  * applying patch from Martin Michlmayr for gcc 4.2 (Closes: #421327)
  * debian/patches:
     - added 30-midi-mime to make rosegarden open midi files when
       doubble clicking them on the desktop
  * debian/rosegarden.sharedmimeinfo
     - added mime information about for *.rg files

 -- Free Ekanayaka <freee@debian.org>  Thu, 19 Jul 2007 02:08:24 +0200

rosegarden (1:1.5.1-2) unstable; urgency=low

  * Updated README.Debian (Closes: 392181)
  * Added dependency on lilypond (Closes: 419371)
  * Patched source to prefer x-www-browser over konqueror and added dependency
    www-browser (Closes: 414027)
  * changing package from optional to extra to match override

 -- Mike O'Connor <stew@vireo.org>  Tue, 17 Apr 2007 19:27:40 -0400

rosegarden (1:1.5.1-1) unstable; urgency=low

  * New upstream release
  * moved debian-project-page-1 to debian-project-package.1
  * added manpage for debian-audiofile-importer(1)

 -- Mike O'Connor <stew@vireo.org>  Mon, 19 Mar 2007 20:10:53 -0400

rosegarden (1:1.5.0-3) unstable; urgency=low

  * Depend on kdebase-bin, as rosegarden-project-manager needs kdialog

 -- Free Ekanayaka <freee@debian.org>  Thu,  1 Mar 2007 11:58:23 +0100

rosegarden (1:1.5.0-2) unstable; urgency=low

  * Depend on libxml-twig-perl, xterm and sndfile-programs (Closes: 410431)
  * Fixed lintian warnings about not-binnmuable-depends

 -- Free Ekanayaka <freee@debian.org>  Wed, 14 Feb 2007 21:18:58 +0100

rosegarden (1:1.5.0-1) unstable; urgency=low

  * New upstream release
  * Switch to cmake
  * Depend on fftw3-dev
  * No need to copy the .desktop file to /usr/share/applications
    anymore, as it is now the default location

 -- Free Ekanayaka <freee@debian.org>  Wed,  7 Feb 2007 10:36:44 +0000

rosegarden (1:1.4.0-1) unstable; urgency=low

  * New upstream version (Closes: 385658)
  * Adding Suggests: for qjackctl (Closes: 387907)

 -- Mike O'Connor <stew@vireo.org>  Thu, 28 Sep 2006 09:45:57 -0400

rosegarden (1:1.2.4-1) unstable; urgency=low

  [ Mike O'Connor ]
  * New upstream release (Closes: #374814)
  * Got rid of patches which have been applied upstream
  * Switched dependencies in control file to use ${Source-Version}

  [ Free Ekanayaka ]
  * Upstream tarball name is changed, fixed watch file accordingly
  * Commented invocation of scons in debian/rules, as it seems useless to me

 -- Free Ekanayaka <freee@debian.org>  Wed, 30 Aug 2006 14:33:00 +0200

rosegarden (1:1.2.3-3) unstable; urgency=low

  * Startup cleanly when lirc is installed without a valid config
    (Closes: #374814)
  * Reworked manpage

 -- Mike O'Connor <stew@vireo.org>  Sun, 23 Jul 2006 03:14:48 -0400

rosegarden (1:1.2.3-2) unstable; urgency=low

  * Adding missing Conflicts: on rosegarden-data (Closes: #373885)
  * Make rosegardensequencer exit gracefully when snd-seq is unavailable
    (Closes: #374716)

 -- Mike O'Connor <stew@vireo.org>  Sat, 24 Jun 2006 15:07:11 -0400

rosegarden (1:1.2.3-1) unstable; urgency=low

  [Mike O'Connor]
  * New Maintainer (Closes: #352541, #352537, #352543)
  * New upstream version (Closes: #354784, #354786)
  * New package source name, simply "rosegarden" instead of "rosegarden4". The former
    rosegarden4 source package should be removed from the archive, while the existing
    "rosegarden" source package should be replaced by this new version.
  * New versioning scheme: using the epoch to allow smooth upgrades from the legacy
    rosegarden and rosegarden2 binary packages, whose upstream is now
    completely discontinued.
  * No longer building a verbose debug version (Closes: #311087)
  * Fixed typo in manpage (Closes: #341660)
  * Split arch-indep files into a rosegarden4-data pacakge (Closes: #233437)
  * The upstream menu icon is now included (Closes: #299390)
  * Moved jackd from Depends: to Recommends: (Closes: #219286)

  [Free Ekanayaka]
  * Using dpatch to manage changes to upstream code
  * Copy the .desktop file to /usr/share/applications too, so that it
    appears in the GNOME menu too
  * Menu icon included by the upstream (Closes: #299390)
  * Added watch file


 -- Free Ekanayaka <freee@debian.org>  Mon, 12 Jun 2006 12:26:53 +0200

rosegarden4 (1.0-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix cast from void* to int loses precision (Closes: #333183).
  * Build depend on g++-3.4 on arm, hppa and m68k to work around ICE.

 -- Luk Claes <luk@debian.org>  Mon, 10 Oct 2005 23:41:45 +0200

rosegarden4 (1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild for the jack transition (Closes: #317217, #316593).
  * Fix gcc 4.0 compile errors (Closes: #326669, #274494).
  * German PO file corrections (Closes: #313926).

 -- Luk Claes <luk@debian.org>  Tue,  4 Oct 2005 00:32:02 +0200

rosegarden4 (1.0-1) unstable; urgency=low

  * New upstream version.
  * Updated description: Removed comments about beta version
    (debian/control).
  * Updated README.Debian.
     ** Removed comments about beta version
     ** Updated section on real time issues.
     ** Updated information about starting jackd.
     ** Updated information about the old rosegarden.
     ** Added information about application naming.
  * Removed unnecesary capital letters from description synopsys
    (debian/control).
  * Fixed application naming inconsistencies
     ** KDE application name changed to "rosegarden4" (gui/main.cpp).
     ** KDE dcop name changed to "rosegarden4" (gui/rosegardendcop.h).
     ** The automake definitions now use rosegarden4_ instead of rosegarden
        (gui/Makefile.am).
     ** The application data and the rc directories have been moved from
        "rosegarden" to "rosegarden4" (gui/Makefile.am).
     ** Handbook name changed to "rosegarden4" (gui/docs/*/Makefile.am,
        gui/docs/*/index.docbook).
     ** Removed manual renaming of the executable (debian/rules).
     ** This makes locales work properly (closes: #197850, #245417, #289024).

 -- Enrique Robledo Arnuncio <era@debian.org>  Fri, 18 Feb 2005 12:40:48 -0500

rosegarden4 (0.9.91-1) unstable; urgency=low

  * New upstream version.
  * Added recommends for swh-plugins | ladspa-plugin (closes: #208985).
  * Removed the fix for #190012 in acinclude.m4.in, since the version now
    in upstream now fixes it.
  * Added build dependency on liblo-dev.
  * Fix to avoid include of dssi.h when HAVE_DSSI is not defined
    (gui/audiopluginoscgui.cpp).

 -- Enrique Robledo Arnuncio <era@debian.org>  Sat, 08 Jan 2005 19:27:54 -0500

rosegarden4 (0.9.9-1) unstable; urgency=low

  * New upstream version.
  * Changed kde menu entry name to Rosegarden4 to avoid confusion with the
    old rosegarden (gui/rosegarden.desktop).
  * Updated the CVS repository and the project web page addresses
    (debian/copyright, debian/README.Debian, debian/control).
  * Fixed lintian overrides syntax. The syntax described in the lintian
    documentation does not work; see bug #261435
    (debian/source.lintian-overrides).
  * The files installed under the examples directory are no longer installed
    with dh_installdocs, to avoid duplicated files in the binary package.
    (debian/rules, debian/README.Debian)

 -- Enrique Robledo Arnuncio <era@debian.org>  Wed, 04 Aug 2004 14:25:46 -0400

rosegarden4 (0.9.8-1) unstable; urgency=low

  * New upstream version (closes: #245903).
  * libjack/jackd dependencies are up to date (closes: #221623).
  * Added lintian source overrides about CVS files and directories in
    the source tree. They are intentional.
  * The KDE menu entry for rosegarden4 is now placed in the Multimedia
    group (gui/Makefile.am).
  * A re-saved version of some of the example files is now installed, to
    avoid a warning on obsolete file format which pops up when opening
    the unmodified version of those files as still shipped by upstream.
  * Added string quotes in debian/rosegarden4.menu to avoid lintian warnings.

 -- Enrique Robledo Arnuncio <era@debian.org>  Mon, 07 Jun 2004 22:04:34 -0400

rosegarden4 (0.9.6-2) unstable; urgency=low

  * Added build-dependency on libtool, since now libtool.m4 is not
    added to acinclude.m4, and aclocal needs to find it somewhere
    (closes: #228931)
  * Changed the default path for jackd at startup from /usr/local to
    /usr (in gui/rosegardenconfiguredialog.cpp).

 -- Enrique Robledo Arnuncio <era@debian.org>  Wed, 21 Jan 2004 16:14:39 -0500

rosegarden4 (0.9.6-1) unstable; urgency=low

  * New upstream version.
  * Added dependency on liblrdf0-dev for metadata support.
  * Updated manual page with new command line options in rosegarden4.
  * Changed Makefile.am to remove the inclusion of admin/libtool.m4.in
    in acinclude.m4, hopefully fixing 221846 this time.

 -- Enrique Robledo Arnuncio <era@debian.org>  Mon, 19 Jan 2004 10:30:25 -0500

rosegarden4 (0.9.1-3) unstable; urgency=low

  * Re-generated files config.guess, config.sub and ltmain.sh in the
    admin/ directory fixing a problem in the generation of shared
    library dependencies in some architectures (closes: #221846).

 -- Enrique Robledo Arnuncio <era@debian.org>  Thu, 27 Nov 2003 16:15:53 -0500

rosegarden4 (0.9.1-2) unstable; urgency=low

  * Applied fix from CVS solving constness violation in method
    Studio::haveMidiDevices() (closes: #211795).           (base/Studio.C)
  * Updates in debian/control:
       ** Updated standards version to 3.6.1.
       ** Moved to automake1.7.
       ** Removed obsolete dependency on libqt3-compat-headers.
       ** Added dependency on khelpcenter (closes: #210979).
       ** Added more upstream info in the package description.
  * Updates in README.Debian.
       ** Removed reference to future aRTs MIDI support.
       ** Added pointers to upstream for most recent versions.
       ** Some cleanup and small fixes.

 -- Enrique Robledo Arnuncio <era@debian.org>  Tue, 18 Nov 2003 11:29:32 -0500

rosegarden4 (0.9.1-1) unstable; urgency=low

  * New upstream version.
  * Changed back to build-depend on libjack-dev.           (debian/control)
  * Updated standards version.                             (debian/control)

 -- Enrique Robledo Arnuncio <era@debian.org>  Fri, 06 Jun 2003 19:02:59 -0400

rosegarden4 (0.9-2) unstable; urgency=low

  * Fixed executable file name in rosegarden.desktop using the patch by
    Leonardo Rochael Almeida (closes: #193657).
  * Removed the incorrectly compression of the documentation file. The Handbook
    can now be displayed correctly from the help menu (debian/rules).
  * Updates in README.Debian.
  * Updates in the copyright file.
  * Removed web directory from /usr/share/doc/rosegarden4 (debian/rules).

 -- Enrique Robledo Arnuncio <era@debian.org>  Mon, 19 May 2003 20:40:31 -0400

rosegarden4 (0.9-1) unstable; urgency=low

  * New upstream version.
  * Removed /lib64 check in acinclude.m4.in (closes: #190012).
  * Unfixed wrong installation of version.txt file, now done correctly in
    upstream source.
  * Previous NMU acknowledged (closes: #184697, #185393).

 -- Enrique Robledo Arnuncio <era@debian.org>  Wed, 07 May 2003 11:37:04 -0400

rosegarden4 (0.8.5-2.1) unstable; urgency=low

  * NMU
  * rebuild with new jack and vorbis (closes: #185393)
  * add libqt3-compat-headers to build-dep.

 -- Junichi Uekawa <dancer@debian.org>  Sun, 30 Mar 2003 00:11:33 +0900

rosegarden4 (0.8.5-2) unstable; urgency=low

  * Adapted for new QT (debian/rules), closes: 181656.
  * Added manual page.

 -- Enrique Robledo Arnuncio <era@debian.org>  Wed, 19 Feb 2003 22:58:25 -0500

rosegarden4 (0.8.5-1) unstable; urgency=low

  * New upstream version.
  * Moved to KDE3: Now using kdelibs4-dev, closes: #180365.
  * Using automake1.6, which seems to be necessary for kde3 build scripts.
  * Added build dependency on ladspa-sdk package (debian/control).
  * Updated package description and README.Debian. Latest releases are not
    so much developer oriented.
  * Fixed generation of debian/debiandirs file. Some wrong absolute paths
    where going into it (debian/rules).
  * Setting DESTDIR instead of prefix at install time (debian/rules).
  * Fixed wrong installation of version.txt file by appending DESTIR to the
    destination path (gui/Makefile.am).
  * Modified the cvs-clean.pl script to obtain the same behaviour I had in
    the old KDE2 Makefile.common (see package version 0.1.6-1).
  * The clean target now calls cvs-clean.pl directly. No need to generate
    the Makefile at clean time any more (debian/rules).
  * Removed references to libartsmidi and libartsmodules from
    sound/Makefile.am. These libraries are not present in the latest arts
    packages, and rosegarden4 is currently built with no arts support.

 -- Enrique Robledo Arnuncio <era@debian.org>  Mon, 10 Feb 2003 18:45:17 -0500

rosegarden4 (0.8.0-3) unstable; urgency=low

  * Set g++-2.95 as compiler to use in debian/rules
  * Rebuilt to fix library dependencies.

 -- Enrique Robledo Arnuncio <era@debian.org>  Fri, 24 Jan 2003 20:00:03 -0500

rosegarden4 (0.8.0-2) unstable; urgency=low

  * Rebuilt to fix library dependencies.
  * Changed source dependency from libjack0.38.0-dev to libjack-dev
  * Fixed audio path in example file outofspace.rg.

 -- Enrique Robledo Arnuncio <era@debian.org>  Fri, 03 Jan 2003 18:16:37 -0500

rosegarden4 (0.8.0-1) unstable; urgency=low

  * New upstream version.

 -- Enrique Robledo Arnuncio <era@debian.org>  Sun, 06 Oct 2002 20:03:59 -0400

rosegarden4 (0.2.0-1) unstable; urgency=low

  * New upstream version.
  * This version is built using libjack0.38.0.
  * The kde related files are now installed in the right directories.
  * Using debhelper compatibility level 4. This fixes an absolute
    symbolic link problem, as dh_link now takes care of it.
  * Fixed missing return value in gui/trackbuttons.cpp

 -- Enrique Robledo Arnuncio <era@debian.org>  Wed, 25 Sep 2002 20:16:22 -0400

rosegarden4 (0.1.6-1) unstable; urgency=low

  * Initial Release.
  * Modified the cvs-clean rule in admin/Makefile.common so that it does
    not remove the debian/ directory.
  * Added the audio test files to the list of installation files.
  * Added definitions for installation of mcop related stuff in sound/Makefile.am

 -- Enrique Robledo Arnuncio <era@debian.org>  Sat,  8 Jun 2002 20:37:35 +0200
